.\" LP (Laptop Package)
.\" 
.\" Copyright (c) 1994 by HOSOKAWA, Tatsumi <hosokawa@mt.cs.keio.ac.jp>
.\" 
.\" This software may be used, modified, copied, and distributed, in
.\" both source and binary form provided that the above copyright and
.\" these terms are retained. Under no circumstances is the author 
.\" responsible for the proper functioning of this software, nor does 
.\" the author assume any responsibility for damages incurred with its 
.\" use.
.Dd November 1, 1994
.Dt APM 8
.Os
.Sh NAME
.Nm apm, zzz
.Nd control the APM BIOS and display its information
.Sh SYNOPSIS
.Nm apm
.Op Fl ablsz
.Op Fl d Ar 1|0
.Pp
.Nm zzz
.Sh DESCRIPTION
.Nm Apm
controls the Intel / Microsoft APM (Advanced Power Management) BIOS and 
displays the current status of APM on laptop PCs.
.Nm Zzz 
suspends the system by controlling APM.
.Pp
The following options are available for 
.Nm apm
(no options are available for
.Nm zzz
).
If no options are specified,
.Nm apm
displays information and current status of APM in verbose mode.
.Bl -tag -width indent
.It Fl a
Display the current AC-line status as an integer value.  The values
0 and 1 correspond to the 
.Dq off-line
state or
.Dq on-line
state, respectively.
.It Fl b
Display an integer value reflecting the current battery status.
The values 0, 1, 2, 3, correspond to the 
.Dq high
status, 
.Dq low
status, 
.Dq critical
status,
.Dq charging
status respectively.
.It Fl d
Disable/enable suspending of the display separately from a normal suspend
using the values
.Ar 1
or
.Ar 0
respectively.
.It Fl l
Display the remaining battery percentage.  If your laptop does not 
support this function, 255 is displayed.
.It Fl s
Display the status of the APM support as an integer value.  The values
0 and 1 correspond to the
.Dq disabled
state or
.Dq enabled
state respectively.
.It Fl z
Suspend the system. It is equivalent to
.Nm zzz .
.El
.Sh BUGS
Some APM implementations do not support parameters needed by
.Nm apm .
On such systems,
.Nm apm
displays them as unknown.
.Pp
Some APM implementations cannot handle events such as pushing the 
power button or closing the cover.  On such implementations, the system
.Ar must
be suspended
.Ar only
by using
.Nm apm
or 
.Nm zzz .
.Sh SEE ALSO
.Xr apm 4 ,
.Xr apmconf 8
.Sh AUTHOR
HOSOKAWA, Tatsumi <hosokawa@mt.cs.keio.ac.jp> (Keio Univ., Japan)
